#include <iostream>
int main()
{
    int n,m;
    scanf("%d%d",&n,&m);
    int P[n],p[n];
    for(int i=0;i<n;i++)
    {
        P[i]=p[i]=0;
    }
    long long* A=new long long[n];
    for(int i=0;i<n;i++)
    {
        std::cin>>A[i];
    }
    
    //poznanici
    for(int k=0;k<m;k++)
    {
        int i,j;
        scanf("%d%d",&i,&j);
        i--;j--;
        P[i]++;
        P[j]++;
        //da li su prijatelji???
        if(A[i]>=0&&A[j]>=0)
        {
            p[i]++;
            p[j]++;
        }
        else if(A[i]<0&&A[j]>=0)
        {
            if(-A[i]<A[j])
            {
                p[i]++;
                p[j]++;
            }
        }
        else if(A[i]>=0&&A[j]<0)
        {
            if(-A[j]<A[i])
            {
                p[i]++;
                p[j]++;
            }
        }
    }
    long long sreca=0;
    for(int i=0;i<n;i++)
    {
        long long x=(long long)(2*p[i]-P[i]);
        sreca+=A[i]*x;
    }
    delete[] A;
    std::cout<<sreca;
    return 0;
}